.banner {
  position: relative;
  height: 100vh;
  overflow: hidden;
}

.background-video {
  object-fit: cover;
  display: flex;

  height: 100%;
  flex: auto;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(
    0,
    0,
    0,
    0.7
  ); /* Adjust the color and opacity as needed */
  /* background: linear-gradient(135deg, #000000 40%, #fd6047 100%, 0.2); */

  /* z-index: 0; */
}

.typewriter {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.typewriter h1 {
  color: #fff;
  /* font-family: monospace; */
  font-weight: 800;
  font-size: 4rem;
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: 0.15em solid orange; /* The typwriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: 0.15em; /* Adjust as needed */
  animation: typing 3.5s steps(30, end), blink-caret 0.5s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: orange;
  }
}

@media screen and (max-width: 800px) {
  .typewriter h1 {
    color: #fff;
    /* font-family: monospace; */
    font-weight: 800;
    font-size: 1.6rem;
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: 0.15em solid orange; /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0 auto; /* Gives that scrolling effect as the typing happens */
    letter-spacing: 0.15em; /* Adjust as needed */
    animation: typing 3.5s steps(30, end), blink-caret 0.5s step-end infinite;
  }
  .background-video {
    object-fit: cover;
    display: flex;
    width: auto;
    height: 100%;
  }
}

@media screen and (min-width: 900px) {
  .background-video {
    object-fit: cover;
    display: flex;
    width: 100%;

    height: 100%;
  }
}
